package com.engine.salary.mapper;

import com.engine.salary.entity.taxrate.TaxRateBase;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;


public interface TaxRateBaseMapper {

	/**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
	List<TaxRateBase> listAll();


	/**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
	TaxRateBase getById(Long id);
	
	/**
     * 新增，插入所有字段
     *
     * @param taxRateBase 新增的记录
     * @return 返回影响行数
     */
	int insert(TaxRateBase taxRateBase);
	
	/**
     * 新增，忽略null字段
     *
     * @param taxRateBase 新增的记录
     * @return 返回影响行数
     */
	int insertIgnoreNull(TaxRateBase taxRateBase);
	
	/**
     * 修改，修改所有字段
     *
     * @param taxRateBase 修改的记录
     * @return 返回影响行数
     */
	int update(TaxRateBase taxRateBase);
	
	/**
     * 修改，忽略null字段
     *
     * @param taxRateBase 修改的记录
     * @return 返回影响行数
     */
	int updateIgnoreNull(TaxRateBase taxRateBase);
	
	/**
     * 删除记录
     *
     * @param taxRateBase 待删除的记录
     * @return 返回影响行数
     */
	int delete(TaxRateBase taxRateBase);



	List<TaxRateBase> selectByIds(@Param("ids") Collection<Long> ids);

	/**
	 * 条件查询
	 * @return
	 */
	List<TaxRateBase> listBySome(@Param("param") TaxRateBase param);

	void deleteByIds(@Param("ids") Collection<Long> ids);
	
}